> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get a Nucleotide Alignment

GET https://{tenant_name}.benchling.com/api/v2/nucleotide-alignments/{alignment_id}

Get a Nucleotide Alignment

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/nucleotide-alignments/get-nucleotide-alignment

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `alignment_id` (string, required)

## Response

### 200

OK

- `apiURL` (string, optional) — The canonical url of the Alignment in the API.
- `createdAt` (datetime, optional) — DateTime the Alignment was created
- `id` (string, optional)
- `modifiedAt` (datetime, optional) — DateTime the Alignment was last modified
- `name` (string, optional)
- `referenceSequenceId` (string, optional) — The ID of the template or consensus Sequence associated with the Alignment
- `webURL` (string, optional) — The Benchling web UI url to view the Alignment
- `alignedSequences` (list of AlignedNucleotideSequence, optional)

## Errors

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### AlignedNucleotideSequence

- `bases` (string, optional)
- `name` (string, optional)
- `pairwiseIdentity` (float, optional) — Fraction of bases between trimStart and trimEnd that match the template bases. Only present for Template Alignments; Will be empty for Consensus Alignments.
- `sequenceId` (string, optional, nullable)
- `trimEnd` (integer, optional)
- `trimStart` (integer, optional)
- `dnaSequenceId` (string, optional, nullable, deprecated)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

## Examples

**Response**

```json
{
  "apiURL": "https://benchling.com/api/v2/alignments/seqanl_6ZVdX98t",
  "createdAt": "2024-01-15T09:30:00Z",
  "id": "seqanl_6ZVdX98t",
  "modifiedAt": "2024-01-15T09:30:00Z",
  "name": "string",
  "referenceSequenceId": "seq_MYmsnS1u",
  "webURL": "string",
  "alignedSequences": [
    {
      "bases": "GTAGCAAAGANTAGTAGCCAGCTGTGATAAATGTCAGCTAAAAGGGGAAGCCATG",
      "name": "Gene001",
      "pairwiseIdentity": 0.505,
      "sequenceId": "seq_MYmsnS1u",
      "trimEnd": 60,
      "trimStart": 0,
      "dnaSequenceId": "seq_MYmsnS1u"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/nucleotide-alignments/alignment_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/nucleotide-alignments/alignment_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```